Subject: [DMVR] An Online Petition to NASCAR Regarding Playoff Points Plan

From: [email-masked]
Date: Fri, 09 Jan 2004 02:18:09 +0000

If you don't care about NASCAR, read no further and I apologize.

However, if you are aware of the Playoff system they have enacted and are
against it and want to possibly have your voice heard- I've written an
on-line petition.

If you agree with it- please 'sign' it and pass along the link to other
NASCAR fans.  If you don't agree with it, please pass the link along
anyway.

Will it matter?  Who knows- but I'm gonna try.

http://www.petitiononline.com/WC11223/petition.html

Thank you.
Karl